#!/bin/sh

PREPROCESSOR=../bin/release/preprocessor.exe
#PREPROCESSOR=../bin/debug/preprocessor.exe

if [ $# -ne 3 ]
then
    echo "Usage:"
	echo "preprocess_visibility scene_file.x3d viewcells_file.xml output_file.xml"
    exit
fi

export PATH=$PATH:../bin

#NUM_SAMPLE_RAYS=200000000
NUM_SAMPLE_RAYS=30000000
#NUM_SAMPLE_RAYS=10000

$PREPROCESSOR -total_samples=$NUM_SAMPLE_RAYS \
-scene_filename=$1 -view_cells_filename=$2 -preprocessor_visibility_file=$3 \
-preprocessor_ray_cast_method=1 \
-samples_per_pass=1000000 \
-view_cells_use_kd_pvs+ -af_use_kd_pvs+ \
-mutation_silhouette_prob=0.5 \
-mutation_reverse_samples_distance=1.0 \
-mutation_radius_origin=0.5 \
-mutation_radius_termination=0.2 \
-mutation_use_unsucc_count_importance- \
-mutation_use_pass_importance+ \
-mutation_buffer_size=2000000 \
preprocess_visibility.env 
